Update Field Rule
curl --request PATCH \
--url https://api.amplify.xyz/v1/esign_documents/{documentId}/field_rule/{fieldRuleId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"field_id": 115806,
"name": "Checkbox1",
"condition_value": true,
"actions": [
{
"field_type": "checkbox",
"field_value": true,
"show_fields": [
{
"id": 115229,
"title": "Name",
"reference_id": "18108e8501ee4c5bab003cbd38bade9e"
},
{
"id": 115940,
"title": "Signature",
"reference_id": "8c2eb61af03e4117b4fa8e0b55be5af8"
},
{
"id": 115941,
"title": "Company",
"reference_id": "e33e1c1a066c410b803b74fee2f2f522"
}
]
}
]
}
'import requests
url = "https://api.amplify.xyz/v1/esign_documents/{documentId}/field_rule/{fieldRuleId}"
payload = {
"field_id": 115806,
"name": "Checkbox1",
"condition_value": True,
"actions": [
{
"field_type": "checkbox",
"field_value": True,
"show_fields": [
{
"id": 115229,
"title": "Name",
"reference_id": "18108e8501ee4c5bab003cbd38bade9e"
},
{
"id": 115940,
"title": "Signature",
"reference_id": "8c2eb61af03e4117b4fa8e0b55be5af8"
},
{
"id": 115941,
"title": "Company",
"reference_id": "e33e1c1a066c410b803b74fee2f2f522"
}
]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
field_id: 115806,
name: 'Checkbox1',
condition_value: true,
actions: [
{
field_type: 'checkbox',
field_value: true,
show_fields: [
{id: 115229, title: 'Name', reference_id: '18108e8501ee4c5bab003cbd38bade9e'},
{
id: 115940,
title: 'Signature',
reference_id: '8c2eb61af03e4117b4fa8e0b55be5af8'
},
{id: 115941, title: 'Company', reference_id: 'e33e1c1a066c410b803b74fee2f2f522'}
]
}
]
})
};
fetch('https://api.amplify.xyz/v1/esign_documents/{documentId}/field_rule/{fieldRuleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Field rules
Update Field Rule
Customer API v1 endpoint.
PATCH
/
v1
/
esign_documents
/
{documentId}
/
field_rule
/
{fieldRuleId}
Update Field Rule
Update Field Rule. Authenticate with a Bearer access token unless the endpoint is the authentication token exchange.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200
Successful response. Response body was not included in the source collection.
